This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 712078

Summary: NM is unable to connect to a wireless network with hidden SSID
Product: [Fedora] Fedora Reporter: TNO-reg
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: collura, dcbw, jklimes, marius.andreiana, vondruch
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-11 05:30:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
/var/log/messages none

Description TNO-reg 2011-06-09 08:54:56 EDT
You cannot connect to a hidden network via nm-applet (I think this happens only when working with GNOME Shell, in the fallback mode nm-applet gives pretty much the old experience), when you press the appropriate item, nothing happens. Moreover, even if the wireless connection is preconfigured (I used nm-connection-editor), NM is still unaware of wireless network and doesn't show it in the list.

I should add that if I have a preconfigured wireless connection and scan for the SSID manually (i.e. # iwlist wlan0 scanning essid [SSID]), NM readily establishes the connection.

PS Bug 657128 might be somehow related to this.
Comment 1 TNO-reg 2011-06-09 09:10:02 EDT
Created attachment 503887 [details]
/var/log/messages
Comment 2 Jirka Klimes 2011-06-09 10:32:36 EDT
Well, your issue is rather usability one than functional, because the connection can be established.

gnome-shell applet just lacks an entry to connect to hidden SSID. However you can do that via gnome-control-center:
1. Go to gnome-control-center, network module (e.g. click Network Setting in the network applet)
2. Click 'Wireless' item on the left pane
3. Click open "Network Name" combo box
4. click "Other..." (last item)
5. Select your connection profile
6. Click 'Connect'

(In reply to comment #0)
> I should add that if I have a preconfigured wireless connection and scan for
> the SSID manually (i.e. # iwlist wlan0 scanning essid [SSID]), NM readily
> establishes the connection.
> 
When you run that, you provide the SSID, which gets to wpa_supplicat and in turn to NM that updates its AP list. Thus the SSID is not 'hidden' for NM anymore.
Comment 3 TNO-reg 2011-06-09 11:35:36 EDT
(In reply to comment #2)
> Well, your issue is rather usability one than functional, because the
> connection can be established.
> 
> gnome-shell applet just lacks an entry to connect to hidden SSID. However you
> can do that via gnome-control-center:
> 1. Go to gnome-control-center, network module (e.g. click Network Setting in
> the network applet)
> 2. Click 'Wireless' item on the left pane
> 3. Click open "Network Name" combo box
> 4. click "Other..." (last item)
> 5. Select your connection profile
> 6. Click 'Connect'
> 

Yes, I agree, this is more of a usability issue. I'd suggest re-enabling the "Other.." item in the applet's menu.


> (In reply to comment #0)
> > I should add that if I have a preconfigured wireless connection and scan for
> > the SSID manually (i.e. # iwlist wlan0 scanning essid [SSID]), NM readily
> > establishes the connection.
> > 
> When you run that, you provide the SSID, which gets to wpa_supplicat and in
> turn to NM that updates its AP list. Thus the SSID is not 'hidden' for NM
> anymore.

I understand, it just looks like a minor regression to me: NM used to scan for preconfigured hidden networks and connect to them automatically, and now it does not (you have to do it manually).
Comment 4 Marius Andreiana 2012-02-11 05:30:33 EST
UI has been added in FC16. However, connection still doesn't work (see bug #707434)

*** This bug has been marked as a duplicate of bug 707434 ***